Sorin Mitrica | 10 Jul 20:55 2012
Picon

Error compiling kernel on raspberry pi since latest changelog update

Hello,

On slackware-current I can not compile the kernel on my raspberry Pi 
anymore. Until and including
Mon Jun 18 08:07:25 UTC 2012 changes in the slackware-current repository 
I recompiled the kernel several times with succes. With the changes that 
were made on Thu Jul 5 07:56:34 UTC 2012 in the repository I get an 
error at the end of the compilation:

Inconsistent kallsyms data
This is a bug - please report about it
Try make KALLSYMS_EXTRA_PASS=1 as a workaround
make: *** [vmlinux] Error 1

I tried to add KALLSYMS_EXTRA_PASS=1 but with no luck.

Thanks in advance,

Sorin Mitrica
Stuart Winter | 10 Jul 21:52 2012
Picon

Re: Error compiling kernel on raspberry pi since latest changelog update


> Until and including
> Mon Jun 18 08:07:25 UTC 2012 changes in the slackware-current repository I

If you're using -current you need to keep up to date -- this date is of an
old batch.

The latest batch has a toolchain upgrade and lots of other changes.
Stuart Winter | 10 Jul 22:28 2012
Picon

Re: Error compiling kernel on raspberry pi since latest changelog update


> > Until and including
> > Mon Jun 18 08:07:25 UTC 2012 changes in the slackware-current repository I
>
> If you're using -current you need to keep up to date -- this date is of an
> old batch.
>
> The latest batch has a toolchain upgrade and lots of other changes.

Aha I misread your post!

This is common for Fedora, apparently:

http://lists.fedoraproject.org/pipermail/arm/2012-March/003001.html

Have a dig around and see whether there's a fix for it that Fedora have
applied to their kernels.    I must say that I've never come across this
before when building the kernels for Slackware ARM.

--

-- 
Stuart Winter
Slackware ARM: www.armedslack.org
Stuart Winter | 10 Jul 22:54 2012
Picon

Re: Error compiling kernel on raspberry pi since latest changelog update


> >
> > The latest batch has a toolchain upgrade and lots of other changes.
>
> Aha I misread your post!
>
> This is common for Fedora, apparently:
>
> http://lists.fedoraproject.org/pipermail/arm/2012-March/003001.html
>
> Have a dig around and see whether there's a fix for it that Fedora have
> applied to their kernels.    I must say that I've never come across this
> before when building the kernels for Slackware ARM.

The previous gcc packages are here in case they turn out to be useful:
http://armed.slackware.com/armedslack-current/reversions/d/gcc-4.7.1-1/

You should be able to downgrade to those and re-try the kernels.  The gcc
packages in the latest batch (Jul 5th) do have some new patches.
There will be a gcc rebuild again in the next batch with the latest batch
of upstream patches and bug fixes.

--

-- 
Stuart Winter
Slackware ARM: www.armedslack.org
Sorin Mitrica | 11 Jul 07:21 2012
Picon

Re: Error compiling kernel on raspberry pi since latest changelog update

On 10.07.2012 23:54, Stuart Winter wrote:
>>> The latest batch has a toolchain upgrade and lots of other changes.
>> Aha I misread your post!
>>
>> This is common for Fedora, apparently:
>>
>> http://lists.fedoraproject.org/pipermail/arm/2012-March/003001.html
>>
>> Have a dig around and see whether there's a fix for it that Fedora have
>> applied to their kernels.    I must say that I've never come across this
>> before when building the kernels for Slackware ARM.
> The previous gcc packages are here in case they turn out to be useful:
> http://armed.slackware.com/armedslack-current/reversions/d/gcc-4.7.1-1/
>
> You should be able to downgrade to those and re-try the kernels.  The gcc
> packages in the latest batch (Jul 5th) do have some new patches.
> There will be a gcc rebuild again in the next batch with the latest batch
> of upstream patches and bug fixes.
>
Thanks ! I`ll let you know if it works in several hours when the 
compilation ends.
Sorin Mitrica | 11 Jul 07:31 2012
Picon

Re: Error compiling kernel on raspberry pi since latest changelog update

On 11.07.2012 08:21, Sorin Mitrica wrote:
> On 10.07.2012 23:54, Stuart Winter wrote:
>>>> The latest batch has a toolchain upgrade and lots of other changes.
>>> Aha I misread your post!
>>>
>>> This is common for Fedora, apparently:
>>>
>>> http://lists.fedoraproject.org/pipermail/arm/2012-March/003001.html
>>>
>>> Have a dig around and see whether there's a fix for it that Fedora have
>>> applied to their kernels.    I must say that I've never come across 
>>> this
>>> before when building the kernels for Slackware ARM.
>> The previous gcc packages are here in case they turn out to be useful:
>> http://armed.slackware.com/armedslack-current/reversions/d/gcc-4.7.1-1/
>>
>> You should be able to downgrade to those and re-try the kernels.  The 
>> gcc
>> packages in the latest batch (Jul 5th) do have some new patches.
>> There will be a gcc rebuild again in the next batch with the latest 
>> batch
>> of upstream patches and bug fixes.
>>
> Thanks ! I`ll let you know if it works in several hours when the 
> compilation ends.
>
> _______________________________________________
> ARMedslack mailing list
> ARMedslack <at> lists.armedslack.org
> http://lists.armedslack.org/mailman/listinfo/armedslack
(Continue reading)

Stuart Winter | 11 Jul 09:27 2012
Picon

Re: Error compiling kernel on raspberry pi since latest changelog update


> Those reversions are actuallty the latest gcc packages in -current. Kernel
> compilation on the Pi worked with gcc-4.7.0, with 4.7.1 it gives me that
> error.

Hehe.  It all made sense yesterday in my lack of sleep induced alternate
reality.

So I have a newer gcc build on the dev boxes than the packages on the
FTP site and I got confused about what "-current" was where.

Given that I've compiled 3 kernels with that toolchain, I'd go down the
patch route if I were you.  I'll have some newer gcc packages nearer the
end of the week that I can upload for test if you want, but to be honest I
doubt they'll help.
Sorin Mitrica | 11 Jul 21:25 2012
Picon

Re: Error compiling kernel on raspberry pi since latest changelog update

On 11.07.2012 10:27, Stuart Winter wrote:
>> Those reversions are actuallty the latest gcc packages in -current. Kernel
>> compilation on the Pi worked with gcc-4.7.0, with 4.7.1 it gives me that
>> error.
> Hehe.  It all made sense yesterday in my lack of sleep induced alternate
> reality.
>
> So I have a newer gcc build on the dev boxes than the packages on the
> FTP site and I got confused about what "-current" was where.
>
> Given that I've compiled 3 kernels with that toolchain, I'd go down the
> patch route if I were you.  I'll have some newer gcc packages nearer the
> end of the week that I can upload for test if you want, but to be honest I
> doubt they'll help.
>
>
> _______________________________________________
> ARMedslack mailing list
> ARMedslack <at> lists.armedslack.org
> http://lists.armedslack.org/mailman/listinfo/armedslack
>
Please upload those newer gcc packages. It seems there is a bug in the 
toolchain. I downloaded again the sources for the kernel from the git 
hub, removed all packages from d/ and glibc , cleaned everything, 
reinstalled all the packages that I removed earlier but the error still 
persists.

Thanks in advance,

Sorin
(Continue reading)

Stuart Winter | 12 Jul 13:31 2012
Picon

Re: Error compiling kernel on raspberry pi since latest changelog update


> Please upload those newer gcc packages. It seems there is a bug in the
> toolchain. I downloaded again the sources for the kernel from the git hub,
> removed all packages from d/ and glibc , cleaned everything, reinstalled all
> the packages that I removed earlier but the error still persists.

http://armed.slackware.com/armedslack-current/test/d/

Try these.  I only built them yesterday and have compiled just one
package with them.

Once I have some time, I'll give building a kernel a go.
Sorin Mitrica | 12 Jul 13:37 2012
Picon

Re: Error compiling kernel on raspberry pi since latest changelog update

On 12-07-2012 2:31 PM, Stuart Winter wrote:
>> Please upload those newer gcc packages. It seems there is a bug in the
>> toolchain. I downloaded again the sources for the kernel from the git hub,
>> removed all packages from d/ and glibc , cleaned everything, reinstalled all
>> the packages that I removed earlier but the error still persists.
> http://armed.slackware.com/armedslack-current/test/d/
>
> Try these.  I only built them yesterday and have compiled just one
> package with them.
>
> Once I have some time, I'll give building a kernel a go.
>
>

Thank you !

I`m building vmlinux now with the new gcc package. Let`s see...
Sorin Mitrica | 12 Jul 16:53 2012
Picon

Re: Error compiling kernel on raspberry pi since latest changelog update

On 12-07-2012 2:37 PM, Sorin Mitrica wrote:
> On 12-07-2012 2:31 PM, Stuart Winter wrote:
>>> Please upload those newer gcc packages. It seems there is a bug in the
>>> toolchain. I downloaded again the sources for the kernel from the 
>>> git hub,
>>> removed all packages from d/ and glibc , cleaned everything, 
>>> reinstalled all
>>> the packages that I removed earlier but the error still persists.
>> http://armed.slackware.com/armedslack-current/test/d/
>>
>> Try these.  I only built them yesterday and have compiled just one
>> package with them.
>>
>> Once I have some time, I'll give building a kernel a go.
>>
>>
>
> Thank you !
>
> I`m building vmlinux now with the new gcc package. Let`s see...
> _______________________________________________

Same error, I reverted to gcc-4.5.2-arm-3.tgz from -13.37. I`ll have 
another run.
Sorin Mitrica | 13 Jul 08:20 2012
Picon

Re: Error compiling kernel on raspberry pi since latest changelog update

On 12-07-2012 5:53 PM, Sorin Mitrica wrote:
> On 12-07-2012 2:37 PM, Sorin Mitrica wrote:
>> On 12-07-2012 2:31 PM, Stuart Winter wrote:
>>>> Please upload those newer gcc packages. It seems there is a bug in the
>>>> toolchain. I downloaded again the sources for the kernel from the 
>>>> git hub,
>>>> removed all packages from d/ and glibc , cleaned everything, 
>>>> reinstalled all
>>>> the packages that I removed earlier but the error still persists.
>>> http://armed.slackware.com/armedslack-current/test/d/
>>>
>>> Try these.  I only built them yesterday and have compiled just one
>>> package with them.
>>>
>>> Once I have some time, I'll give building a kernel a go.
>>>
>>>
>>
>> Thank you !
>>
>> I`m building vmlinux now with the new gcc package. Let`s see...
>> _______________________________________________
>
> Same error, I reverted to gcc-4.5.2-arm-3.tgz from -13.37. I`ll have 
> another run.
>
> _______________________________________________
> ARMedslack mailing list
> ARMedslack <at> lists.armedslack.org
> http://lists.armedslack.org/mailman/listinfo/armedslack
(Continue reading)


Gmane